<!DOCTYPE html>
<html>
<?php define('BASE_URL', 'http://www.merchantproinc.com'); ?>



<head>
	<?php	include("../../includes/meta.php"); ?> 

	
	

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>/css/font-awesome.min.css">

	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>/css/animate.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>/css/styles.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>/css/ddmenu.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>/css/index.css">
	<link rel="stylesheet" type="text/css" href="<?php echo BASE_URL; ?>/css/responsive.css">
<?php
	include("../../includes/header.php"); 
  ?>
  
  <!-- CONTENT -->
  
  <main id="Body">
    <div class="inner-page-main">
      <article class="inner-banner"><img src="<?php echo BASE_URL; ?>/images/banner/developers.jpg" class="img-responsive" alt=""/>
        <div class="textBlock">
          <div class="container">
            <div class="banner-text">
          
            </div>
          </div>
        </div>
      </article><?php include("../../includes/bread-crumb.php"); ?>
      <section class="inner-content-area">
        <div class="container">
          <div class="text-center">
            <h2>Merchant Pro Payment Gateway Developer Docs</h2>
            <p class="text-size3">Our Merchant Pro Payment Gateway allows you to utilize our flexible Application Program Interface (API) to connect to your software with a powerful processing platform. We have 
              several methods available to integrate your software to the Merchant Pro Payment Gateway. The following will give you a brief breakdown of each method. These options vary based upon ease of integration, available resources, and features. </p>
          </div>
        </div>
        <div class="container">
          <div class="tab-main">
            <div class="according-table1">
              <h2>Transaction Request APIs</h2>
              <div class="panel-group term-panels" id="dev-accordion" >
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingOne">
                    <h4 class="panel-title"> <a class="accordion-toggle" role="button" data-toggle="collapse" data-parent="#dev-accordion" href="#dev-panel-1" aria-expanded="true" aria-controls="dev-panel-1"> Three-Step Redirect API </a></h4>
                  </div>
                  <div id="dev-panel-1" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
                    <div class="panel-body">
                      <p>For quick setup and the smallest PCI footprint, the Three-Step Redirect is the best integration method. This option allows you to quickly generate a payment form to collect and send secure customer information directly to the payment gateway.</p>
                      <h3>Method Overview</h3>
                      <div class="listing2">
                        <ul>
                          <li>Submit all transaction details to the Payment Gateway, except the customer's sensitive payment information. The Payment Gateway will return a variable form-url.</li>
                          <li>Create an HTML form to collect the customer's sensitive payment information, and use the form-url which the Payment Gateway returns, as the submit action in said form. </li>
                          <li>Once the customer has been redirected, obtain the token-id and complete the transaction through an HTTPS POST, including the token-id which abstracts the sensitive payment information collected directly by the Payment Gateway. </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingTwo">
                    <h4 class="panel-title"> <a class="accordion-toggle collapsed" role="button" data-toggle="collapse" data-parent="#dev-accordion" href="#dev-panel-2" aria-expanded="false" aria-controls="dev-panel-2"> Direct Post API </a> </h4>
                  </div>
                  <div id="dev-panel-2" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
                    <div class="panel-body">
                      <p>The Direct Post API is a simple integration method for both web-based and non-web-based payment applications. This method has the flexibility to seamlessly integrate your new or existing application, for a completely transparent customer 
                        experience.</p>
                      <h3>Method Overview</h3>
                      <div class=" listing2">
                        <ul>
                          <li>The customer sends their payment information to the merchant's website.</li>
                          <li>The merchant website posts the payment data to the Payment Gateway.</li>
                          <li>The Payment Gateway responds immediately with the results of the transactions.</li>
                          <li>The merchant website displays the appropriate message to the customer.</li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingThree">
                    <h4 class="panel-title"> <a class="accordion-toggle collapsed" role="button" data-toggle="collapse" data-parent="#dev-accordion" href="#dev-panel-3" aria-expanded="false" aria-controls="dev-panel-3">Mobile API</a> </h4>
                  </div>
                  <div id="dev-panel-3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingThree">
                    <div class="panel-body">
                      <p>The Mobile API supports iOS and Android-based devices. This Software Development Kit (SDKs) includes a mobile card reader library, which simplifies integrations for applications requiring encrypted mobile card readers. Additionally, an end-to-end encryption library is included, allowing merchants to send both swiped and keyed-in payment information, without ever touching any sensitive data.</p>
                      <h3>Android Method Overview</h3>
                      <div class="listing2">
                        <ul>
                          <li>Download and extract the zip file from the integration section of the Payment Gateway. </li>
                          <li>In Android Studio's Quick Start menu, select 'Start a new Android Studio project'. </li>
                          <li>Add SDK to project.</li>
                          <li>Modify the Gradle build file. </li>
                        </ul>
                      </div>
                      <h3>Android Method Overview</h3>
                      <div class="listing2">
                        <ul>
                          <li>Download and extract the zip file from the integration section of the Payment Gateway. </li>
                          <li>In Android Studio's Quick Start menu, select 'Start a new Android Studio project'. </li>
                          <li>Add SDK to project.</li>
                          <li>Modify the Gradle build file. </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="according-table1">
              <h2>Transaction Request APIs</h2>
              <div class="panel-group term-panels" id="dev-accordion2" >
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingOne-1">
                    <h4 class="panel-title"> <a class="accordion-toggle" role="button" data-toggle="collapse" data-parent="#dev-accordion2" href="#dev-panel-11" aria-expanded="true" aria-controls="dev-panel-11"> Query API </a></h4>
                  </div>
                  <div id="dev-panel-11" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingOne-1">
                    <div class="panel-body">
                      <P>While our online reporting interface allows merchants to quickly and easily retrieve detailed information about past 
                        transactions, a need for additional flexibility may be required. For example, a merchant may have custom accounting software which requires up-to-date information about the settlement status of all credit card transactions every day.</P>
                      <P>This method describes how developers can query our reporting engine directly to retrieve transaction reports in a machine readable format. Once the data has been retrieved, it can then be parsed and imported into a variety of software applications.</P>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="according-table1">
              <h2>Turnkey Shopping Carts</h2>
              <div class="panel-group term-panels" id="dev-accordion3" >
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingOne-2">
                    <h4 class="panel-title"> <a class="accordion-toggle" role="button" data-toggle="collapse" data-parent="#dev-accordion3" href="#dev-panel-21" aria-expanded="true" aria-controls="dev-panel-11"> QuickClick Shopping Cart </a></h4>
                  </div>
                  <div id="dev-panel-21" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingOne-2">
                    <div class="panel-body">
                      <P>QuickClick is a great option for e-commerce merchants who do not have an IT team or developer on staff. A button-generator is included, which allows merchants to create website links to products and services without any previous development 
                        experience. </P>
                      <h3>Here are three button types, which are very easy to setup:</h3>
                      <div class="listing2">
                        <ul>
                          <li>Shopping Cart Button: Will connect products built with this button, will connect type so customers can add several products to the cart system. Also supports Recurring Billing.</li>
                          <li>Fixed Price Button: Does not connect to the 'Shopping Cart' system and will only process one item at a time.</li>
                          <li>Donation/Payment Button: Allows the customer to enter an amount and checkout.</li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingOne-3">
                    <h4 class="panel-title"> <a class="accordion-toggle" role="button" data-toggle="collapse" data-parent="#dev-accordion3" href="#dev-panel-23" aria-expanded="true" aria-controls="dev-panel-11"> Third-Party Shopping Carts </a></h4>
                  </div>
                  <div id="dev-panel-23" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingOne-3">
                    <div class="panel-body">
                      <P>There are a number of third-party shopping carts which have integrated to the payment gateway. This is the best option for merchants who need a full featured, turn-key shopping cart out of the box.</P>
                      Click <a href="#" class="hover-text">HERE</a> for the list of Third-Party Shopping Carts. </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <div class="section-block">
        <div class="container">
          <h3 class="text-center">Give us a call today and we can give you all the resources needed to connect to your software.</h3>
          <div class="text-center"><a href="#" data-toggle="modal" data-target="#myModal" class="schedule-button"> CONTACT US NOW</a></div>
          
          
        </div>
      </div>
    </div>
  </main>
  <?php
	include("../../includes/footer.php"); 
  ?>
</body>
</html>